Subject: Re: [PATCH V2 mlx5-next 0/4] Improve mlx5 live migration driver

From: Leon Romanovsky <[email-masked]>
Date: Wed, 11 May 2022 09:40:37 +0300

On Tue, May 10, 2022 at 09:00:53AM -0600, Alex Williamson wrote:
> On Tue, 10 May 2022 16:16:16 +0300
> Leon Romanovsky <[email-masked]> wrote:
> 
> > On Tue, May 10, 2022 at 12:02:02PM +0300, Yishai Hadas wrote:
> > > This series improves mlx5 live migration driver in few aspects as of
> > > below.
> > > 
> > > Refactor to enable running migration commands in parallel over the PF
> > > command interface.
> > > 
> > > To achieve that we exposed from mlx5_core an API to let the VF be
> > > notified before that the PF command interface goes down/up. (e.g. PF
> > > reload upon health recovery).
> > > 
> > > Once having the above functionality in place mlx5 vfio doesn't need any
> > > more to obtain the global PF lock upon using the command interface but
> > > can rely on the above mechanism to be in sync with the PF.
> > > 
> > > This can enable parallel VFs migration over the PF command interface
> > > from kernel driver point of view.
> > > 
> > > In addition,
> > > Moved to use the PF async command mode for the SAVE state command.
> > > This enables returning earlier to user space upon issuing successfully
> > > the command and improve latency by let things run in parallel.
> > > 
> > > Alex, as this series touches mlx5_core we may need to send this in a
> > > pull request format to VFIO to avoid conflicts before acceptance.  
> > 
> > The PR was sent.
> > https://lore.kernel.org/netdev/[email-masked]/T/#u
> 
> For patches 2-4, please add:
> 
> Reviewed-by: Alex Williamson <[email-masked]>

Done, I force pushed same branch and tag, so previous PR is still valid
to be pulled.
https://lore.kernel.org/kvm/[email-masked]/T/#u

Thanks

> Thanks,
> Alex